Bug 1318422 - Pulp-nodes-parent and pulp-nodes-common should not be installed on the main katello server
Summary: Pulp-nodes-parent and pulp-nodes-common should not be installed on the main k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1318421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 20:18 UTC by John Mitsch
Modified: 2019-09-26 14:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:27:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 13199 None None None 2016-04-22 16:31:47 UTC

Description John Mitsch 2016-03-16 20:18:57 UTC

Comment 1 John Mitsch 2016-03-16 20:18:58 UTC
Created from redmine issue http://projects.theforeman.org/issues/13199

Comment 3 Bryan Kearney 2016-03-16 22:11:30 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 4 Bryan Kearney 2016-03-16 22:11:32 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13199 has been closed
-------------
John Mitsch
Applied in changeset commit:puppet-katello|06e9dd85c855df639d99d4f3351de5153fcda38f.

Comment 6 John Mitsch 2016-03-18 13:51:28 UTC
This is follow-up work after removing pulp nodes from capsules. To test this just make sure the installer doesn't install pulp-nodes-parent and pulp-nodes-common packages

Comment 7 Bryan Kearney 2016-03-18 16:11:52 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13199 has been closed
-------------
John Mitsch
Applied in changeset commit:puppet-katello|06e9dd85c855df639d99d4f3351de5153fcda38f.
-------------
John Mitsch
Applied in changeset commit:katello-packaging|96b2aead425dd4986ead1550f068ebb37457d6fa.

Comment 11 Kedar Bidarkar 2016-04-01 10:59:00 UTC
~]# rpm -qav | grep -ie pulp-nodes-parent -ie pulp-nodes-common
pulp-nodes-parent-2.8.0.2-1.el7sat.noarch
pulp-nodes-common-2.8.0.2-1.el7sat.noarch



Tested with sat62-snap6 , these packages still appear to get installed by the foreman-installer.

Comment 12 John Mitsch 2016-04-01 14:57:55 UTC
Kedar,

looks like those changes were cherry-picked but rpm was not rebuilt, which is why they are still being installed. Moving this bug back to Modified.

Comment 13 Kedar Bidarkar 2016-04-04 12:30:33 UTC
 ~]# rpm -qav | grep -ie pulp-modes-parent -ie pulp-modes-common

These packages are no longer found on the satellite6


VERIFIED With sat62-snap6-compose2

Comment 15 errata-xmlrpc 2016-07-27 09:27:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.